=== debian/changelog ===
ros-rolling-vitis-common (0.4.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Wed, 22 Mar 2023 07:31:54 -0000

ros-rolling-vitis-common (0.4.0-2jammy) jammy; urgency=high

  * Release 0.4.0
  * cpplint and cppcheck utilities and OpenCL header
  * Add OpenCL dependencies
  * Add license file
  * Add author's e-mail tag

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Thu, 24 Mar 2022 07:00:00 -0000

ros-rolling-vitis-common (0.3.0-2jammy) jammy; urgency=high

  * Release 0.3.0
  * Finalize port of package to Vitis 2021.2
  * Checkpoint while porting things to 2021.1

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Thu, 24 Mar 2022 07:00:00 -0000

ros-rolling-vitis-common (0.2.0-2jammy) jammy; urgency=high

  * Release 0.2.0
  * Add common utilities, include OpenCL

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Tue, 15 Feb 2022 08:00:00 -0000

ros-rolling-vitis-common (0.1.0-2jammy) jammy; urgency=high

  * Initial version

 -- Víctor Mayoral-Vilches <victor@accelerationrobotics.com>  Tue, 14 Sep 2021 07:00:00 -0000
