=== debian/control ===
Source: ros-rolling-vitis-common
Section: misc
Priority: optional
Maintainer: Víctor Mayoral-Vilches <victor@accelerationrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ocl-icd-opencl-dev, opencl-headers, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ament-vitis, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-vitis-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Common code for working with Vitis™ Unified Software Platform in ROS.
